/*
 *  GETFILDIR
 *
 *  This subroutine gets the file and directory names needed by other
 *  subroutines in the 'dmorsys' program.
 *
 *  Author:     Paul J. Besl    (7-11-85)
 *
 *  Revised:    Arnold. H. Chiu (7-27-88)
 *  
 *  Call:           getfildir(filnam,ptrs,nnames)
 *  Modules used:   gfopen()
 *
 */
 
/* stop listing <stdio.h> */
/* #nolist */
/* stop listing of <stdio.h> */
#include <stdio.h>
/* #list */

void getfildir(filnam,ptrs,nnames)
char    *filnam,*ptrs[];
int     nnames;
{
    FILE    *gfopen();
    FILE    *filptr;
    char    chrbuf[80],*malloc();
    int     i;

    /* Open File and Read Everythird Line. */

    filptr = gfopen(filnam,"r");
    for(i=0; i<nnames; ++i)
    {
        fgets(chrbuf,80,filptr);
        fgets(chrbuf,80,filptr);
        fgets(chrbuf,80,filptr);
        ptrs[i] = malloc(strlen(chrbuf)+1);
        sscanf(chrbuf,"%s",ptrs[i]);
    }
}
