/*
 *  IMGNOT
 *
 *      This routine does a image NOT operation.
 *      [a] = NOT [b] { [a]=(m x n)  [b]=(m x n) }
 *
 *  Author:     Paul J. Besl    (5-3-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           imgnot(a_pointer,b_pointer,c_pointer,m,n)
 *  Modules used:   none
 *
 */

void imgnot(aptr,bptr,m,n)
unsigned char   *aptr,*bptr;
int             m,n;
{
    register int            i,ntot;
    register unsigned char  *ptra,*ptrb;

    ntot = m*n;
    ptra = aptr;
    ptrb = bptr;
    for(i=0;i<ntot;++i)
        *ptra++ = (255 - *ptrb++);
}
