/*
 *  CNVRTNAME
 *
 *  Convert range image name to output image name.
 *
 *  Author:     Paul J. Besl    (7-17-85)
 *
 *  Revised:    Arnold. H. Chiu (7-18-88)
 *
 *  Call:           cnvrtname(option,rang_image,new_name,default_names)
 *  Modules used:   outmenucmd()
 */
 
cnvrtname(optn,rangimg,string,dfnames)
char    *rangimg,*string,*dfnames[];
int     optn;
{
    char *cptr,*rindex(),*outmenucmd();

    /* Get Filename Part of rangimg pathname; Form Output ImageName */
    cptr = rindex(rangimg,'/');
    if( cptr == 0 )
        cptr = rangimg;
    else
        cptr++;
    sprintf(string,"%s/%s.%s",dfnames[3],cptr,outmenucmd(optn,0));
}
