/*
 *  FMAXMIN
 *
 *      This subroutine finds the maximum and minimum
 *      for a vector of floating point values.
 *
 *  Author:     Paul J. Besl    (7-1-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           fmaxmin(float_pointer,n,float_max,float_min)
 *  Modules used:   none
 *
 */

void fmaxmin(fptr,n,fmax,fmin)
float *fptr,*fmax,*fmin;
int     n;
{
    register float  max,min;
    register int    i;

    max = *fptr;
    min = *fptr;
    fptr++;
    for(i=1;i<n;++i)
    {
        if( *fptr > max )
            max = *fptr;
        else if( *fptr < min )
            min = *fptr;
        fptr++;
    }
    *fmax = max;
    *fmin = min;
}
