/*
 *  IMGCPY
 *
 *      This routine copies one array to another, both designated
 *      by pointers. [a] = [b]  { [a]=(m x n)  [b]=(m x n) }
 *
 *  Author:     Paul J. Besl    (5-3-85)
 *
 *  Revised:    Arnold. H. Chiu (7-13-88)
 *  
 *  Call:           imgcpy(a_array_ptr,b_array_ptr,x_size,y_size)
 *  Modules used:   none
 *
 */
 
imgcpy(aptr,bptr,m,n)
unsigned char *aptr,*bptr;
int   m,n;
{
    register int            i,ntot;
    register unsigned char  *ptra,*ptrb;

    ntot = m*n;
    ptra = aptr;
    ptrb = bptr;
    for (i=0;i<ntot;++i)
        *ptra++ = *ptrb++;
}
