/*
 *  MATCPYD
 *
 *  This routine does a double-precision matrix copy
 *  [a] = [b]  { [a]=(m x n)  [b]=(m x n) }
 *
 *  Author:     Paul J. Besl    (6-29-85)
 *
 *  Revised:    Arnold. H. Chiu (7-26-88)
 *  
 *  Call:           matcpyd(a_pointer,b_pointer,m,n)
 *  Modules used:   none
 *
 */

void matcpyd(aptr,bptr,m,n)
double  *aptr,*bptr;
int     m,n;
{
    register int    i,k;

    k = m*n;
    for(i=0;i<k;++i)
        *aptr++ = *bptr++;
}
