/*
 *  MATSET
 *
 *      This routine set all elements of a matrix to given value.
 *      (single precision values)
 *      [a] = value  { [a]=(m x n)  value=(1 x 1) }
 *
 *  Author:     Paul J. Besl    (5-10-85)
 *
 *  Revised:    Arnold. H. Chiu (7-18-88)
 *  
 *  Call:           matset(aptr,value,m,n)
 *  Modules used:   none
 *
 */
 
void matset(aptr,value,m,n)
float   *aptr,value;
int     m,n;
{
    register int i,k;
    register float *ptra;

    k = m*n;
    ptra = aptr;
    for (i=0;i<k;++i)
        *ptra++ = value;
}
