/*
 *  ZQUAD
 *
 *      This routine evaluates a biquadratic surface.
 *
 *  Author:     Paul J. Besl    (4-17-85)
 *
 *  Revised:    Arnold. H. Chiu (8-31-88)
 *  
 *  Call:           zquad(x,y,a)
 *
 *  Modules used:   none
 *
 */
 
double zquad(x,y,a)
double  x,y;
double  a[];
{
    register double     value;

    value  = a[0] + a[1]*x + a[2]*y + a[3]*x*y + a[4]*x*x + a[5]*y*y;
    return(value);
}
