/*
 *  IMGNOTIP
 *
 *  This routine performs image NOT: A = NOT A (pixelwise)
 *  (in-place version)
 *  [a] = NOT [a]  { [a]=(m x n) }
 *
 *  Author:     Paul J. Besl    (5-3-85)
 *
 *  Revised:    Arnold. H. Chiu (7-27-88)
 *  
 *  Call:           imgnotip(a_pointer,m,n)
 *  Modules used:   none
 *
 */

void imgnotip(aptr,m,n)
unsigned char   *aptr;
int             m,n;
{
    register int            i,ntot;
    register unsigned char  *ptra;

    ntot = m*n;
    ptra = aptr;
    for(i=0;i<ntot;++i)
        *ptra++ = ~(*ptra);
}
