/*
 *  OKEDGES2
 *
 *      This routine prompts the user to see if the edges are OK.
 *      If not, the user is prompted for new thresholds.
 *
 *  Author:     Paul J. Besl    (3-1-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           okedges2(lowth,numbig,difth,string,dfnames)
 *  Modules used:   savstring()
 *
 */

#include <stdio.h>

int okedges2(lowth,numbig,difth,string,dfnames)
char    *string,*dfnames[];
int     *lowth,*numbig,*difth;
{
    int     strlen();

    /* Are edges OK ?  */

    printf("\nAre Edges OK?(yes)__ ");
    if( gets(string) == NULL )
    {
        printf("\n");
        exit(0);
    }
    savstring(string,0,dfnames[0]);
    if( string[0] == 'y' || strlen(string) == 1 )
        return(0);

    /* Get New Thresholds */

    printf("\nEnter New Threshold(%d)__ ",*lowth);
    if( gets(string) == NULL )
    {
        printf("\n");
        exit(0);
    }
    savstring(string,0,dfnames[0]);
    sscanf(string,"%d",lowth);

    printf("\nEnter Number of Greater Pixels Allowed(%d)__ ",*numbig);
    if( gets(string) == NULL )
    {
        printf("\n");
        exit(0);
    }
    savstring(string,0,dfnames[0]);
    sscanf(string,"%d",numbig);
    if( *numbig <= 3 )
        return(-1);

    printf("\nEnter New Difference Threshold(%d)__ ",*difth);
    if( gets(string) == NULL )
    {
        printf("\n");
        exit(0);
    }
    savstring(string,0,dfnames[0]);
    sscanf(string,"%d",difth);
    return(-1);
}
