/*
 *  TSTOP
 *
 *      This routine computes and announces the elapsed time.
 *      Wait for secs seconds and return
 *
 *  Author:     Paul J. Besl    (7-5-84)
 *
 *  Revised:    Arnold. H. Chiu (8-22-88)
 *  
 *  Call:           tstop(init,string)
 *  Modules used:   none
 *
 */

int tstop(init,string)
char    *string;
int     init;
{ 
    int     ssec,endt,mins;

    endt = time(0);
    ssec = endt - init;
    printf("%s --> %d secs",string,ssec);
    if( ssec > 120 )
    {
        mins = ssec/60; ssec = ssec % 60;
        printf(" --> %d:%2d mins\n",mins,ssec); 
    }
    else
        printf("\n");
    return(endt);
}
