/*
 *  UNIFRAND
 *
 *      This routine performs uniform float random
 *      number generation.
 *
 *  Author:     Paul J. Besl    (2-12-85)
 *
 *  Revised:    Arnold. H. Chiu (8-12-88)
 *  
 *  Call:           unifrand()
 *  Modules used:   none
 *
 */

float unifrand()
{
    register int        i;
    register float      x;
    static long int     max = { (2*(32768*32768-1))+1 };

    i = rand();
    x = ((float)i)/(float)max;
    return(x);
}
