/*
 *  HKUPDATE
 *
 *      This routine updates the HK-sign-image.
 *      [hkimg] = [hkimg] && ( f( [img] ) )
 *      { [blakbord]=(m x n)  [img]=(m x n) }
 *
 *  Author:     Paul J. Besl    (7-20-85)
 *
 *  Revised:    Arnold. H. Chiu (7-27-88)
 *  
 *  Call:           hkupdate(blackboard,image_pointer,m,n)
 *  Modules used:   none
 *
 */

int hkupdate(blakbord,imgptr,m,n)
unsigned char   *blakbord,*imgptr;
int             m,n;
{
    register int                i,ntot,cnt;
    register unsigned char      *ptra,*ptrb;

    ntot = m*n;
    ptra = blakbord;
    ptrb = imgptr;
    cnt = 0;
    for(i=0;i<ntot;++i) 
    {
        if( *ptrb++ && *ptra != 5 ) 
        {
            *ptra++ = 5;
            cnt++;
        }
        else
            ptra++;
    }
    return(cnt);
}
