/*
 *  IMG0_1
 *
 *      Image mapping subroutine (inplace) that
 *      maps all zeros to ones in (imgptr) image.
 *
 *  Author:     Paul J. Besl    (8-20-85)
 *
 *  Revised:    Arnold. H. Chiu (7-13-88)
 *  
 *  Call:           img0_1(image_pointer,image_size_nx,image_size_ny)
 *  Modules used:   none
 *
 */
 
void img0_1(imgptr,nx,ny)
unsigned char   *imgptr;
int             nx,ny;
{
    register unsigned char *p;
    register int i,ntot;

    /* map all zeros to ones */
    ntot = nx * ny;
    p = imgptr;
    for(i=0; i<ntot; ++i)
    {
        if( *p == 0 )
            *p = 1;
        p++;
    }
}
