/*
 *  IMGSET
 *
 *      This routine set the value of an array designated
 *      by a pointer. [a] = b  { [a]=(m x n)  [b]=(1 x 1) }
 *
 *  Author:     Paul J. Besl    (5-3-85)
 *
 *  Revised:    Arnold. H. Chiu (7-18-88)
 *  
 *  Call:           imgset(array_pointer,value,m_size,n_size)
 *  Modules used:   none
 *
 */
 
imgset(aptr,value,m,n)
unsigned char   *aptr;
int             m,n,value;
{
    register int            i,ntot;
    register unsigned char  *ptra;

    ntot = m*n;
    ptra = aptr;
    for (i=0;i<ntot;++i)
        *ptra++ = value;
}
