/*
 *  SAVSTRING
 *
 *      This routine saves string in standard lof file.
 *      flag = 0 <--> append to file
 *      flag = 1 <--> open new file
 *
 *  Author:     Paul J. Besl    (7-11-85)
 *
 *  Revised:    Arnold. H. Chiu (7-18-88)
 *  
 *  Call:           savstring(string,flag,save_file)
 *  Modules used:   gfopen()
 *
 */

/* stop listing <stdio.h> */
/* #nolist */
#include <stdio.h>
/* #list */

void savstring(string,flag,savefile)
char    *string,*savefile;
int     flag;
{
    FILE            *gfopen();
    FILE            *filptr;
    static char     optn[2][2] = { "a","w" };
    int             len;

    filptr = gfopen(savefile,optn[flag]);

    /* append a newline if string doesn't have one */

    len = strlen(string);
    if( string[len-1] != '\n' ) 
    {
        string[len] = '\n';
        len++;
        string[len] = '\0';
    } 

    /* write string to file and close */

    fputs(string,filptr);
    fclose(filptr);
}
