/*
 *  WAITRET
 *
 *      This routine waits for a carriage return and then returns.
 *
 *  Author:     Paul J. Besl    (7-17-85)
 *
 *  Revised:    Arnold. H. Chiu (8-22-88)
 *  
 *  Call:           waitret()
 *  Modules used:   none
 *
 */

#include <stdio.h>

#define STRSIZE 132

int waitret()
{ 
    char    string[STRSIZE];

    start_over:
        fprintf(stderr,"Hit Return to Continue__ ");
        if( fgets(string,STRSIZE,stdin) == NULL )
        {
            printf("\n");
            exit(0);
        }
        if( strlen(string) > 1 )
        {
            printf("%s",string);
            system(string);
            goto start_over;
        }
    return(0);
}
